#!/usr/bin/env fish

function run_spectacle
   set f "$HOME/Pictures/"(date "+%y%m%d-%H%M%S")".png"

   spectacle -b $argv -n -o "$f"

   if test -f "$f"
      if sharenix -s Greyserv "$f"
         notify-send -u low -a sharenix -i dialog-information -c transfer.complete "Upload completed"
      end
   end

   rm "$f"
end
